GET Package Info
Return the quota for the current API key.
Overview
Reads apiKey from the request header and returns plan name, expiry, HTTP rate, WebSocket connection cap, and symbol caps. HTTP quotas: REST API Limitation. Connection caps: WebSocket Limitation.
Endpoint
Base path:
/package/infoFull path:
https://data.infoway.io/package/info
GET https://data.infoway.io/package/infoAuthentication
apiKey
String
Yes
Plan API key. apikey is also accepted
No query string or body.
Errors
A missing or unknown key typically returns ret=500 with apiKey is required or Apikey not exists. See REST API Error Codes.
Response fields
packageName
String
Plan name
expireTime
Long
Expiry timestamp
apiNumPerSec
Integer
HTTP calls per second
maxWsConNum
Integer
Max WebSocket connections
maxNum
Integer
Max symbols per connection
maxYearHisData
Number
Historical kline depth in years
allWsNum
Integer
Max symbols across all connections
Last updated
